Skip to main content
Version: 3.2

1. Purchase

POST 

/api/v3/remote-pos/{source_pid}/remote-action/purchase

Creates a remote PURCHASE action which will be retrieved and processed by the target terminal.

Parameters:​

ParameterTypeRequiredDescriptionExample
sourcePidstringyesObtained on the portal — unique Hexa ID identifying the POS2102000A0001
targetPidstringyesUnique Hexa identifier (target) which will receive the action2002000A0003
amountinteger (cents)yesAmount in cents (1 = 0.01€)100 (1.00€)
shouldPrintReceiptinteger (0 / 1)yes1 = print, 0 = no print1
webhookstring (URL)noCallback URL invoked after processinghttps://webhook.site/
allowedPaymentMethodIdsarraynoAllow specific payment methods (cards (30), giftcard (20))[30, 20]
purchaseUniqueIdstring(30)noIf not given, application will generate it and return in response, if given it should be 30 characters, if longer it will be trimmed, if shorter, it ill be filled with spaces.

Request​

Responses​

Example
{
"success": true,
"data": {
"id": 22,
"uuid": "50fed410-7071-41c7-b4ad-83e9acb2d9dc",
"sourcePid": "210200010003",
"targetPid": "200200010003",
"groupId": 843,
"groupName": "Shop - Group 2",
"remoteActionStatusId": 100,
"remoteActionStatus": "Pending",
"remoteActionStatusAt": "2026-02-11T07:39:21.000000Z",
"remoteActionTypeId": 10,
"remoteActionType": "PURCHASE",
"updatedAt": "2026-02-11T07:39:21.000000Z",
"createdAt": "2026-02-11T07:39:21.000000Z",
"webHook": "http://your.domain/testhook",
"linkedObjectType": null,
"linkedObjectId": null,
"details": {
"requestedAmount": 3,
"paidAmount": null,
"shouldPrintReceipt": 0,
"allowedPaymentMethodIds": [
20,
30
],
"orderUuid": null,
"operations": null
}
}
}